pagekti 安装出现 System Requirements 问题解决办法

分类 记录 426阅读阅读模式

PageKit 企业 CMS 轻量级建站系统是一个基于模块化、轻量级的 CMS 建站系统,基于 Symfony 框架和 Razr 模板引擎,目前支持 Mysql 或者 Sqlite 作为数据库,设计时髦,结构整洁;

 

由于太时髦,so,安装会出现各种环境问题,fuck。

比如下方

System Requirements
Please fix the following issues to proceed.
ERROR opcache.save_comments must be enabled in php.ini
FIX Set opcache.save_comments to on in php.ini*.

上图:

 

 

或这个

System Requirements
Please fix the following issues to proceed.
ERROR 'display_startup_errors' is enabled and 'always_populate_raw_post_data' is not set to '-1'
FIX Disable startup errors or set 'always_populate_raw_post_data' to '-1' in php.ini.

上图:

 

或。。。

 

解决办法:

根据提示修改 php.ini 配置。

首先,通过 phpinfo(); 来查看 php.ini 配置文件的位置,根据提示修改相应行数,最后重启 php-fpm 。

 

图 2 、修改 php.ini (~ 704)

去掉前面的 ; 号。

  1. ;always_populate_raw_post_data = -1

如果不行,请注意是否有附加的配置文件。例如图 1 的案例, opcache 需要修改 zendOpcache 配置。

 

图 1 、修改 php.ini 及 ext-opcache.ini

查找 opcache.save_comments 修改为下方代码

  1. opcache.save_comments=1

修改完 php.ini 文件后,发现重启不行,经后面查找,发现还有一个额外的 ext-opcache.ini 配置文件,也需要修改。

 

记得重启 php-fpm 。

 

完毕!

 

 

 

 

 

 

相关文章

给我留言

  • 有人回复时邮件通知我